Page MenuHomePhabricator

Cleanup CI puppet manifests
Closed, ResolvedPublic

Description

The puppet repository has a lot of obsolete manifests for CI. Lot of them can be cleaned out since most of the test environments are now provided via Docker container.

Details

Related Gerrit Patches:
operations/puppet : productioncontint: remove arcanist
operations/puppet : productioncontint: remove contint::php
operations/puppet : productioncontint: no more include ::contint::packages::ruby by default
operations/puppet : productioncontint: remove sqlite3 debian package
operations/puppet : productioncontint: apply apt::unattend_upgrade at role level
operations/puppet : productioncontint: remove php packages
operations/puppet : productionreleases: inline php packages installation
operations/puppet : productioncontint: no more include ::packages::javascript by default
operations/puppet : productioncontint: remove unneeded profile::ci::hhvm
operations/puppet : productioncontint: remove several unused packages
operations/puppet : productioncontint: remove unused contint::packages::python
operations/puppet : productioncontint: remove MySQL related configuration
operations/puppet : productioncontint: drop contint::tmpfs
operations/puppet : productioncontint: remove colordiff

Event Timeline

hashar created this task.Jun 13 2019, 5:02 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 13 2019, 5:02 PM

I guess I will do it since I am responsible for almost of the mess that happened there.

Change 517091 had a related patch set uploaded (by Hashar; owner: Hashar):
[operations/puppet@production] contint: remove colordiff

https://gerrit.wikimedia.org/r/517091

Change 517092 had a related patch set uploaded (by Hashar; owner: Hashar):
[operations/puppet@production] contint: remove unused contint::packages::python

https://gerrit.wikimedia.org/r/517092

Change 517093 had a related patch set uploaded (by Hashar; owner: Hashar):
[operations/puppet@production] contint: remove several unused packages

https://gerrit.wikimedia.org/r/517093

Change 517094 had a related patch set uploaded (by Hashar; owner: Hashar):
[operations/puppet@production] contint: remove unneeded profile::ci::hhvm

https://gerrit.wikimedia.org/r/517094

Change 517095 had a related patch set uploaded (by Hashar; owner: Hashar):
[operations/puppet@production] contint: remove MySQL related configuration

https://gerrit.wikimedia.org/r/517095

Change 517098 had a related patch set uploaded (by Hashar; owner: Hashar):
[operations/puppet@production] contint: drop contint::tmpfs

https://gerrit.wikimedia.org/r/517098

Mentioned in SAL (#wikimedia-releng) [2019-06-19T08:46:32Z] <hashar> Removed Debian package colordiff from all slaves | T225735 https://gerrit.wikimedia.org/r/#/c/operations/puppet/+/517091/

Mentioned in SAL (#wikimedia-releng) [2019-06-19T08:58:41Z] <hashar> Removed Debian packages for python / tox etc from all slaves | T225735 https://gerrit.wikimedia.org/r/#/c/operations/puppet/+/517092/

Change 517091 merged by Dzahn:
[operations/puppet@production] contint: remove colordiff

https://gerrit.wikimedia.org/r/517091

Change 517098 merged by Dzahn:
[operations/puppet@production] contint: drop contint::tmpfs

https://gerrit.wikimedia.org/r/517098

Change 517095 merged by Dzahn:
[operations/puppet@production] contint: remove MySQL related configuration

https://gerrit.wikimedia.org/r/517095

Change 517092 merged by Alexandros Kosiaris:
[operations/puppet@production] contint: remove unused contint::packages::python

https://gerrit.wikimedia.org/r/517092

Change 517093 merged by Alexandros Kosiaris:
[operations/puppet@production] contint: remove several unused packages

https://gerrit.wikimedia.org/r/517093

Change 517094 merged by Alexandros Kosiaris:
[operations/puppet@production] contint: remove unneeded profile::ci::hhvm

https://gerrit.wikimedia.org/r/517094

Change 523147 had a related patch set uploaded (by Hashar; owner: Hashar):
[operations/puppet@production] releases: stop using contint for php, use prod profile

https://gerrit.wikimedia.org/r/523147

Change 523148 had a related patch set uploaded (by Hashar; owner: Hashar):
[operations/puppet@production] contint: remove php packages

https://gerrit.wikimedia.org/r/523148

Change 523150 had a related patch set uploaded (by Hashar; owner: Hashar):
[operations/puppet@production] contint: apply apt::unattend_upgrade at role level

https://gerrit.wikimedia.org/r/523150

Change 523147 abandoned by Hashar:
releases: use php production profile instead of contint

https://gerrit.wikimedia.org/r/523147

Change 523147 restored by Hashar:
releases: use php production profile instead of contint

https://gerrit.wikimedia.org/r/523147

hashar claimed this task.Jul 17 2019, 3:43 PM
hashar triaged this task as Medium priority.

Mentioned in SAL (#wikimedia-releng) [2019-07-18T13:37:53Z] <hashar> integration: rm /etc/apt/sources.list.d/sury-php.list and remove php packages | https://gerrit.wikimedia.org/r/#/c/operations/puppet/+/523148/ | T225735

Mentioned in SAL (#wikimedia-releng) [2019-07-18T13:48:47Z] <hashar> integration: cherry picked https://gerrit.wikimedia.org/r/#/c/operations/puppet/+/523150/ for apt unattended_upgrades | T225735

Mentioned in SAL (#wikimedia-releng) [2019-07-18T13:51:14Z] <hashar> integration: in hiera project config, remove classes: [ contint::packages::apt ] | T225735

Change 524219 had a related patch set uploaded (by Hashar; owner: Hashar):
[operations/puppet@production] contint: remove sqlite3 debian package

https://gerrit.wikimedia.org/r/524219

Change 524221 had a related patch set uploaded (by Hashar; owner: Hashar):
[operations/puppet@production] contint: no more include ::packages::javascript by default

https://gerrit.wikimedia.org/r/524221

Change 524224 had a related patch set uploaded (by Hashar; owner: Hashar):
[operations/puppet@production] contint: no more include ::contint::packages::ruby by default

https://gerrit.wikimedia.org/r/524224

Change 524225 had a related patch set uploaded (by Hashar; owner: Hashar):
[operations/puppet@production] contint: remove contint::php

https://gerrit.wikimedia.org/r/524225

Change 524221 abandoned by Hashar:
contint: no more include ::packages::javascript by default

Reason:
Abandoning that change for now since we still need NodeJS / Npm on the permanent slaves :-\

https://gerrit.wikimedia.org/r/524221

The chain of doom:

remote: https://gerrit.wikimedia.org/r/#/c/operations/puppet/+/523147 releases: inline php packages installation
remote: https://gerrit.wikimedia.org/r/#/c/operations/puppet/+/523148 contint: remove php packages
remote: https://gerrit.wikimedia.org/r/#/c/operations/puppet/+/523150 contint: apply apt::unattend_upgrade at role level
remote: https://gerrit.wikimedia.org/r/#/c/operations/puppet/+/524219 contint: remove sqlite3 debian package
remote: https://gerrit.wikimedia.org/r/#/c/operations/puppet/+/524224 contint: no more include ::contint::packages::ruby by default
remote: https://gerrit.wikimedia.org/r/#/c/operations/puppet/+/524225 contint: remove contint::php

Change 523147 merged by Muehlenhoff:
[operations/puppet@production] releases: inline php packages installation

https://gerrit.wikimedia.org/r/523147

Change 523148 merged by Muehlenhoff:
[operations/puppet@production] contint: remove php packages

https://gerrit.wikimedia.org/r/523148

Change 523150 merged by Muehlenhoff:
[operations/puppet@production] contint: apply apt::unattend_upgrade at role level

https://gerrit.wikimedia.org/r/523150

Change 524219 merged by Muehlenhoff:
[operations/puppet@production] contint: remove sqlite3 debian package

https://gerrit.wikimedia.org/r/524219

Change 524224 merged by Muehlenhoff:
[operations/puppet@production] contint: no more include ::contint::packages::ruby by default

https://gerrit.wikimedia.org/r/524224

Change 524225 merged by Muehlenhoff:
[operations/puppet@production] contint: remove contint::php

https://gerrit.wikimedia.org/r/524225

Change 525063 had a related patch set uploaded (by Hashar; owner: Hashar):
[operations/puppet@production] contint: remove arcanist

https://gerrit.wikimedia.org/r/525063

Change 525063 merged by Elukey:
[operations/puppet@production] contint: remove arcanist

https://gerrit.wikimedia.org/r/525063

hashar closed this task as Resolved.Sep 3 2019, 12:03 PM

I guess it is good enough for now, the bulk of the cleanup has been accomplished.